<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="/">
   <xsl:processing-instruction name="xml-stylesheet">
      href="article.css" type="text/css"
   </xsl:processing-instruction>
   <xsl:apply-templates/>
</xsl:template>

<xsl:template match="keywords">
   <keywords><xsl:apply-templates/></keywords>
   <section>
   <title>Table of Contents</title>
   <xsl:for-each select="/article/section/title">
      <p><xsl:value-of select="."/></p>
   </xsl:for-each>
   </section>
</xsl:template>

<xsl:template match="*">
   <xsl:copy><xsl:apply-templates/></xsl:copy>
</xsl:template>

</xsl:stylesheet>