<?xml version="1.0"?>

<xsl:stylesheet
    xmlns:xsl="http://www.w3.org/TR/WD-xsl"
    xmlns:fo="http://www.w3.org/TR/WD-xsl/FO">

<xsl:template match="/">
   <fo:display-sequence
      start-indent="5pt"
      end-indent="5pt"
      font-size="10pt"
      font-family="serif">
      <xsl:apply-templates/>
   </fo:display-sequence>
</xsl:template>

<xsl:template match="p">
   <fo:block>
      <xsl:apply-templates/>
   </fo:block>
</xsl:template>

<xsl:template match="title">
   <fo:block
      font-size="13pt"
      font-weight="bold">
      <xsl:apply-templates/>
   </fo:block>
</xsl:template>

<xsl:template match="url">
   <fo:inline-link
      destination="text()"
      color="blue">
      <xsl:apply-templates/>
   </fo:inline-link>
</xsl:template>

<xsl:template match="date"/>
<xsl:template match="keywords"/>
<xsl:template match="abstract"/>
<xsl:template match="copyright"/>

</xsl:stylesheet>