function convert(form,xmldocument)
{
   var fname = form.fname.value,
       output = form.output,
       rate = form.rate.value;

   output.value = "";

   var document = parse(fname,xmldocument),
       topLevel = document.documentElement;
   searchPrice(topLevel,output,rate);
}

function parse(uri,xmldocument)
{
   xmldocument.async = false;
   xmldocument.load(uri);
   
   if(xmldocument.parseError.errorCode != 0)
      alert(xmldocument.parseError.reason);

   return xmldocument;
}

function searchPrice(node,output,rate)
{
   if(node.nodeType == 1)
   {
      if(node.nodeName == "price")
         output.value += (getText(node) * rate) + "\r";
      var children,
          i;
      children = node.childNodes;
      for(i = 0;i < children.length;i++)
         searchPrice(children.item(i),output,rate);
   }
}

function getText(node)
{
   return node.firstChild.data;
}