<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns="http://www.w3.org/TR/REC-html40">

<xsl:output method="html"/>

<xsl:template match="/">
   <HTML>
   <HEAD>
      <TITLE>Online Shop</TITLE>
   </HEAD>
   <BODY>
      <TABLE BORDER="0"><xsl:for-each select="products/product">
      <TR><TD><B><A><xsl:attribute name="HREF">/shop/<xsl:value-of
         select="/products/@merchant"/>/<xsl:value-of
         select="@id"/></xsl:attribute><xsl:value-of
         select="name"/></A></B><BR/>
         <xsl:value-of select="price"/></TD>
         <TD><FORM ACTION="/shop/checkout" METHOD="POST">
            <INPUT TYPE="HIDDEN" NAME="merchant">
               <xsl:attribute name="value"><xsl:value-of
                  select="/products/@merchant"/></xsl:attribute>
            </INPUT>
            <INPUT TYPE="HIDDEN" NAME="product">
               <xsl:attribute name="value"><xsl:value-of
                  select="@id"/></xsl:attribute>
            </INPUT>
            <INPUT TYPE="HIDDEN" NAME="quantity" VALUE="1"/>
            <INPUT TYPE="SUBMIT" VALUE="Buy"/>
         </FORM></TD>
      </TR></xsl:for-each></TABLE>
   </BODY>
   </HTML>
</xsl:template>

</xsl:stylesheet>