function convert(form,xmldocument)
{
   var fname = form.fname.value,
       output = form.output,
       rate = form.rate.value;

   output.value = "";

   var document = parse(fname,xmldocument),
       topLevel = document.documentElement;
   walkNode(topLevel,output,rate)
}

function parse(uri,xmldocument)
{
   xmldocument.async = false;
   xmldocument.load(uri);
   
   if(xmldocument.parseError.errorCode != 0)
      alert(xmldocument.parseError.reason);

   return xmldocument;
}

function walkNode(node,output,rate)
{
   if(node.nodeType == 1)
   {
      if(node.nodeName == "product")
	     walkProduct(node,output,rate);
      else
	  {
         var children,
             i;
         children = node.childNodes;
         for(i = 0;i < children.length;i++)
            walkNode(children.item(i),output,rate);
      }
   }
}

function walkProduct(node,output,rate)
{
   if(node.nodeType == 1 && node.nodeName == "product")
   {     
      var name,
	      price,
		  children,
          i;
      children = node.childNodes;
      for(i = 0;i < children.length;i++)
	  {
	     var child = children.item(i);
	     if(child.nodeType == 1)
		 {
		    if(child.nodeName == "price")
			   price = getText(child) * rate;
			else if(child.nodeName == "name")
			   name = getText(child);
		 }
	  }
	  output.value += name + ": " + price + "\r";
   }
}

function getText(node)
{
   return node.firstChild.data;
}