<?xml version="1.0"?>
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
   xmlns="http://www.w3.org/TR/REC-html40">

<xsl:template match="/">
   <HTML>
      <HEAD><TITLE>
         <xsl:value-of select="product/name"/>
      </TITLE></HEAD>
      <BODY>
      <xsl:for-each select="product/vendor">
         <P><xsl:value-of select="name"/></P>
         <UL><xsl:for-each select="price">
            <LI><xsl:value-of select="."/> (<xsl:value-of select="@delivery"/> days)</LI>
         </xsl:for-each></UL>
         <xsl:apply-templates/>
         <HR/>
      </xsl:for-each>
      </BODY>
   </HTML>
</xsl:template>

<xsl:template match="name | price"/>

</xsl:stylesheet>