<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns="http://www.w3.org/TR/REC-html40">

<xsl:output method="html"/>

<xsl:template match="/">
   <HTML>
   <HEAD>
      <TITLE>Order</TITLE>
   </HEAD>
   <BODY>
      <P>You have received the following order from:</P>
      <TABLE BORDER="0">
         <TR><TD>Name:</TD>
         <TD><xsl:value-of
            select="order/buyer/@name"/></TD></TR>
         <TR><TD>Street:</TD>
         <TD><xsl:value-of
            select="order/buyer/@street"/></TD></TR>
         <TR><TD>Region:</TD>
         <TD><xsl:value-of
            select="order/buyer/@region"/></TD></TR>
         <TR><TD>ZIP or postal code:</TD>
         <TD><xsl:value-of
            select="order/buyer/@postal-code"/></TD></TR>
         <TR><TD>Locality:</TD>
         <TD><xsl:value-of
            select="order/buyer/@locality"/></TD></TR>
         <TR><TD>Country:</TD>
         <TD><xsl:value-of
            select="order/buyer/@country"/></TD></TR>
         <TR><TD>E-mail:</TD>
         <TD><xsl:value-of
             select="order/buyer/@email"/></TD></TR>
      </TABLE>
      <P>The order is for the following item:</P>
      <TABLE BORDER="0">
       <TR><TD><B>ID</B></TD><TD><B>Name</B></TD>
            <TD ALIGN="RIGHT"><B>Price</B></TD>
            <TD ALIGN="RIGHT"><B>Quantity</B></TD></TR>
         <xsl:for-each select="order/product">
            <TR>
               <TD><xsl:value-of select="@id"/></TD>
               <TD><xsl:value-of select="@name"/></TD>
               <TD ALIGN="RIGHT"><xsl:value-of
                  select="@price"/></TD>
               <TD ALIGN="RIGHT"><xsl:value-of
                  select="@quantity"/></TD>
            </TR>
         </xsl:for-each>
      </TABLE>
   </BODY>
   </HTML>
</xsl:template>

</xsl:stylesheet>